
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>nginx location语法使用说明 / iVAN</title>

    <meta name="description" content="nginx location语法使用说明 nginx location介绍 Nginx 中的 Location 指令 是NginxHttpCoreModule中重要指令.Location 指令,是用来为匹配的 URI 进行配置,URI 即语法中的&quot;/uri/&quot;,可以是字符串或正则表达式.但如果要使用正则表达式,则必须指定前缀. nginx location语法 基本语法:location [=|~|~*|^~] /uri/ { - } = 严格匹配.如果这个查询匹配,那么将停止搜索并立即处理此请求. ~ 为区分大小写 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">nginx location语法使用说明</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>nginx location介绍</strong></p>
<p>Nginx 中的 Location 指令 是NginxHttpCoreModule中重要指令。Location 指令，是用来为匹配的 URI 进行配置，URI 即语法中的”/uri/”，可以是字符串或正则表达式。但如果要使用正则表达式，则必须指定前缀。</p>
<p>nginx location语法</p>
<p>基本语法：location [=|~|~*|^~] /uri/ { … }</p>
<p>= 严格匹配。如果这个查询匹配，那么将停止搜索并立即处理此请求。<br />
~ 为区分大小写匹配(可用正则表达式)<br />
~* 为不区分大小写匹配(可用正则表达式)<br />
!~和!~*分别为区分大小写不匹配及不区分大小写不匹配<br />
^~ 如果把这个前缀用于一个常规字符串,那么告诉nginx 如果路径匹配那么不测试正则表达式。</p>
<p>Location语法语法：location [=|~|~*|^~] /uri/ { … }<br />
注：<br />
1、~   为区分大小写匹配<br />
2、~* 为不区分大小写匹配<br />
3、!~和!~*分别为区分大小写不匹配及不区分大小写不匹配</p>
<p>示例一：</p>
<p>location  / { }</p>
<p>匹配任何查询，因为所有请求都以 / 开头。但是正则表达式规则将被优先和查询匹配。</p>
<p>示例二：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">location =/ {}
</td>
</tr>
</table>
<p>仅仅匹配/</p>
<p>示例三：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">location ~* .(gif|jpg|jpeg)$ ｛<br />
rewrite .(gif|jpg)$ /logo.png;<br />
｝
</td>
</tr>
</table>
<p>注：不区分大小写匹配任何以gif，jpg，jpeg结尾的文件</p>
<p>nginx location应用实例</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />location = / {<br />
 # 只匹配 / 查询。<br />
 <br />
}location / {<br />
 # 匹配任何查询，因为所有请求都已 / 开头。但是正则表达式规则和长的块规则将被优先和查询匹配。<br />
 <br />
}location ^~ /images/ {<br />
 # 匹配任何已 /images/ 开头的任何查询并且停止搜索。任何正则表达式将不会被测试。<br />
 <br />
}location ~* .(gif|jpg|jpeg)$ {<br />
 # 匹配任何已 gif、jpg 或 jpeg 结尾的请求。<br />
 <br />
}location ~* .(gif|jpg|swf)$ {<br />
  valid_referers none blocked start.igrow.cn sta.igrow.cn;<br />
  if ($invalid_referer) {<br />
  #防盗链<br />
  rewrite ^/ http://$host/logo.png;<br />
  }<br />
}<br />
location ~* .(js|css|jpg|jpeg|gif|png|swf)$ {<br />
if (-f $request_filename) {<br />
   #根据文件类型设置过期时间<br />
   expires    1h;<br />
   break;<br />
}<br />
}<br />
location ~* .(txt|doc)${ <br />
 #禁止访问某个目录<br />
    root /data/www/wwwroot/linuxtone/test;<br />
    deny all;<br />
}</p>
</td>
</tr>
</table>
<p><strong>++ 一些可用的全局变量<br /></strong>$args<br />
$content_length<br />
$content_type<br />
$document_root<br />
$document_uri<br />
$host<br />
$http_user_agent<br />
$http_cookie<br />
$limit_rate<br />
$request_body_file<br />
$request_method<br />
$remote_addr<br />
$remote_port<br />
$remote_user<br />
$request_filename<br />
$request_uri<br />
$query_string<br />
$scheme<br />
$server_protocol<br />
$server_addr<br />
$server_name<br />
$server_port<br />
$uri</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-12 22:49:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%90%9c%e7%b4%a2/" title="搜索">搜索</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e6%ad%a3%e5%88%99%e8%a1%a8%e8%be%be%e5%bc%8f/" title="正则表达式">正则表达式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>nginx location语法使用说明的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkOLNM.html" rel="bookmark">nginx location语法使用介绍&lowbar;nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				nginx location介绍 Nginx 中的 Location 指令 是NginxHttpCoreModule中重要指令.Location 指令,是用来为匹配的 URI 进行配置,URI 即语法中的&quot;/uri/&quot;,可以是字符串或正则表达式.但如果要使用正则表达式,则必须指定前缀. nginx location语法 基本语法:location [=|~|~*|^~] /uri/ { - } = 严格匹配.如果这个查询匹配,那么将停止搜索并立即处理此请求. ~ 为区分大小写匹配(可用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6OlJM.html" rel="bookmark">nginx location 正则配置求助</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 nginx location 正则配置求助 nginx location 如何配置使得其匹配 /admin/*.do和/admin/*.jsp 注:apache中我以前是这样配置的,现在要把apache换成nginx JkMount /admin/*.jsp tomcatadmin JkMount /admin/*.do tomcatadmin 解决方案 location ~* /admin/*.do location ~* /admin/*.jsp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmmGPBp.html" rel="bookmark">Nginx Location 命令语法详细</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本语法  代码如下 复制代码 location [=|~|~*|^~] /uri/ { - } = 严格匹配.如果这个查询匹配,那么将停止搜索并立即处理此请求. ~ 为区分大小写匹配 ~* 为不区分大小写匹配 !~和!~*分别为区分大小写不匹配及不区分大小写不匹配 ^~ 如果把这个前缀用于一个常规字符串,那么告诉nginx 如果路径匹配那么不测试正则表达式. 例:  代码如下 复制代码 location = / { # 只匹配 / 查询. location / { # 匹配任何查询,因为所有请			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2GKVM.html" rel="bookmark">Nginx Location 指令简明指南&lowbar;nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx 中的 Location 指令 是NginxHttpCoreModule中重要指令.Location 指令比较简单,但却是配置 Nginx 过程中不得不去了解的. Location 指令,是用来为匹配的 URI 进行配置,URI 即语法中的&quot;/uri/&quot;,可以是字符串或正则表达式.但如果要使用正则表达式,则必须指定前缀. 一.基本语法 1.location [=|~|~*|^~|@] /uri/ { - } [=] 表示精确匹配,如果找到,立即停止搜索并立即处理此请求. [~			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlxYeOM.html" rel="bookmark">nginx location 指令匹配顺序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				location 指令语法如下:  代码如下 复制代码 location [=|^~|~|!~|~*|!~*] uri { } 上述配置中[]内为可选配置,但只能使用其中一个.关于具体含义,可以参考:nginx 匹配操作符.uri可以是普通字符串或正则表达式. 匹配的顺序是先匹配普通字符串,然后再匹配正则表达式.另外普通字符串匹配顺序是根据配置中字符长度从长到短,也就是说使用普通字符串配置的location顺序是无关紧要的,反正最后nginx会根据配置的长短来进行匹配,但是需要注意的是正则表达式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MryP5Vb.html" rel="bookmark">nginx location 配置方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.location [=|~|~*|^~|@] /uri/ { ... } 1.~ 为区分大小写匹配  2.~* 为不区分大小写匹配  3.!~ 为区分大小写不匹配 4.!~* 为不区分大小写不匹配  5.= 开头表示精确匹配 6./ 通用匹配,所有请求都会被匹配到 有多个location配置的情况下,先走 = ,然后是^~,其他的则按书写顺序来依次匹配,最后是通用匹配 / ;  代码如下 复制代码 nginx不对url进行编码,例如:/20%/ 可以被 / / 匹配到. 示例: 匹配所有请求			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1Wv4b.html" rel="bookmark">nginx location在配置中的优先级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				location表达式类型 ~ 表示执行一个正则匹配,区分大小写 ~* 表示执行一个正则匹配,不区分大小写 ^~ 表示普通字符匹配.使用前缀匹配.如果匹配成功,则不再匹配其他location. = 进行普通字符精确匹配.也就是完全匹配. @ &quot;@&quot; 定义一个命名的 location,使用在内部定向时,例如 error_page, try_files location优先级说明 在nginx的location和配置中location的顺序没有太大关系.正location表达式的类型有关.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7lnlb.html" rel="bookmark">How nginx &amp;quot&semi;location if&amp;quot&semi; works</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx's if directive does have some weirdness in practice. And people may misuse it when they do not have enough knowledge about its behavior. In this post, I'll analyze some examples here such that people may get some light and use it correctly. In			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5OxdDb.html" rel="bookmark">nginx location如何消除重复配置项？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 例如有如下两个location配置location ~ /xxx/.+$ { proxy_pass http://tomcat; proxy_set_header Host $host; proxy_set_header X-URI $request_uri; proxy_set_header X-Real-IP $remote_addr; proxy_set_header REMOTE-HOST $remote_addr; proxy_set_header X-Forwarded-S			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQBj8M.html" rel="bookmark" class="title">mac双系统时间不一致怎么办</a>
					<div>
						  原因: Windows和MacOSX缺省看待PC的CMOS记录的时钟是不一样的. Windows将这个时钟作为本地时间来看待,也就是CMOS时间就是北京时间. MacOSX将这个时钟作为Coord ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Z1Wz.html" rel="bookmark" class="title">Photoshop制作立体效果的图案字体</a>
					<div>
						  本教程主要使用Photoshop制作立体效果的图案字体教程,教程制作出来的文字效果质感挺强的,有复古的和风玻璃感觉,喜欢的朋友让我们一起来学习吧. 我们先来看看最终的效果图吧: 效果1 效果2 和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk52Ob.html" rel="bookmark" class="title">JS面向对象方法&colon;图片不间断向左滚动代码</a>
					<div>
						文章简介:图片无缝向左滚动的JAVASCRIPT代码,本文是一个实例,webjx网友可以把图片地址改为自己的图片地址在本地浏览测试. 图片无缝向左滚动的JAVASCRIPT代码,本文是一个实例,web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBoq4M.html" rel="bookmark" class="title">FTP 命令</a>
					<div>
						FTP命令是Internet用户使用最频繁的命令之一,熟悉并灵活应用FTP的内部命令,可以大大方便使用者,并收到事半功倍之效.如果你想学习使用进行后台FTP下载,那么就必须学习FTP指令. FTP的命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOo75z.html" rel="bookmark" class="title">何为SEO：谈谈自己对SEO的真实理解</a>
					<div>
						关于SEO的定义是没有什么好争辩的,即Search Engine Optimization,汉译为搜索引擎优化.大多数人会直接理解为针对关键词排名进行的站内站外各种优化.这都是正确的,这里就不重复了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvNA8M.html" rel="bookmark" class="title">在asp&period;net中调用Excel 文件</a>
					<div>
						asp.net|excel vb.net源代码&lt;%@ Page Language=&quot;VB&quot; %&gt;&lt;%@ Import Namespace=&quot;System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bok5vb.html" rel="bookmark" class="title">PHP Yii开源框架入门学习（二）修改Yii网站访问路径</a>
					<div>
						默认网站访问路径如下所示: http://127.0.0.1:8080/zuizen/index.php?r=admin/UserInfo/admin 这种路径对搜索引擎不友好,需要改成如下形式: h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElyKnz.html" rel="bookmark" class="title">&period;NET3&period;5 GDI&plus;图形操作5</a>
					<div>
						10.3.3 绘制简单图形 简单图形是组成复杂图形的基础,通过本小节的例子,读者可以掌握绘制复杂图形的基础 . 除了直线外,矩形是所有简单图形的基础.因为在Windows操作系统中,大部分图形在内 存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKD7BM.html" rel="bookmark" class="title">用Noiseware滤镜磨皮人像的PS技巧</a>
					<div>
						  Noiseware滤镜插件是非常专业的降噪及磨皮工具,功能也非常强大.这款滤镜可以智能识别噪点区域,并按大.中.小.细小等四个层次将噪点归类,降噪的时候只需要调整其中的参数就可以选择光滑或保细节效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKDVAp.html" rel="bookmark" class="title">Flash AS2教程：鼠标感应放大缩小图片效果</a>
					<div>
						  第一步:我们新建flash文档,帧频设置为40,我们导入一张图片或者在主场景中画一个东西,然后右键转换为元件--影片剪辑元件. 第二步:现在在你的库面板中是否是有元件一?如果做对的话是肯定有的(就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW13K7z.html" rel="bookmark" class="title">ASP&period;NET 清空SQL日志的具体方法</a>
					<div>
						  --最好备份日志,以后可通过日志恢复数据... 以下为日志处理方法 一般不建议做第4,6两步 第4步不安全,有可能损坏数据库或丢失数据 第6步如果日志达到上限,则以后的数据库处理会失败,在清理日志 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M627VJM.html" rel="bookmark" class="title">多个Word文本框合作显示大段文字</a>
					<div>
						当你在Word文档中绘制了多个文本框时,可将各个文本框链接在一起,以使文本能够从一个文本框延续到另一个文本框.让文字在文本框间玩玩接力游戏,不仅很是有趣,而且能够满足用户的某些特殊实际需求.如果你也有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOD6RM.html" rel="bookmark" class="title">68个绝对经典电脑小技巧</a>
					<div>
						在使用电脑过程中,合理运用一些技巧往往能达到事半功倍的作用,今天我们为大家收集整理了140个绝对经典的电脑实用小技巧,希望对大家有所帮助. 1. 重装Windows XP不需再激活 如果你需要重装Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kVmrz.html" rel="bookmark" class="title">PowerPoint2013启动时显示开始屏幕怎么去掉？</a>
					<div>
						  ①双击桌面快捷方式,启动PowerPoint2013,可以看到的是显示的是开始屏幕,而不是直接新建空白演示文稿. ②单击文件--选项,我们从这里设置. ③在常规标签里取消勾选此应用程序启动时显示开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Z70p.html" rel="bookmark" class="title">ExtJS 刷新后如何默认选中刷新前最后一次选中的节点</a>
					<div>
						 这篇文章主要介绍了ExtJS 刷新后如何默认选中刷新前最后一次选中的节点,需要的朋友可以参考下 在对树节点进行操作后往往需要进行reload操作刷新一下树,但是很多业务都需要在树形刷新后默认选中最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdVqqM.html" rel="bookmark" class="title">《GO并发编程实战》&mdash;&mdash; 原子操作</a>
					<div>
						声明:本文是&lt;Go并发编程实战&gt;的样章,感谢图灵授权并发编程网站发布样章,禁止以任何形式转载此文. 我们已经知道,原子操作即是进行过程中不能被中断的操作.也就是说,针对某个值的原子操作在被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42Z21M.html" rel="bookmark" class="title">软件供应链平台汇新云</a>
					<div>
						软件供应链平台汇新云,很多人在寻找软件供应链系统软件开发平台时,常常会选择去百度搜索&quot;软件项目开发&quot;,看看哪些找软件服务商的平台专业实力比较强大靠谱.殊不知,并不是所有的软件供应链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG1mVp.html" rel="bookmark" class="title">provider 0x80004005-asp连接oracle    Provider &lpar;0x80004005&rpar; 未指定的错误</a>
					<div>
						问题描述 asp连接oracle Provider (0x80004005) 未指定的错误 各位大神,小妹这次被迫做个asp的东西,是拿的韩国人做的蹩脚程序,数据库要求改成oracle,改了之后一堆问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY2djM.html" rel="bookmark" class="title">云数据库Redis版的开源之路</a>
					<div>
						本文整理自2017云栖大会-上海峰会中阿里云高级技术专家蔡松露的分享讲义,讲义主要介绍了ApsaraCache开源的内容,分支技术特典VS社区开源版本,云Redis产品系列,与一些经典案例与产品规划.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamkQPb.html" rel="bookmark" class="title">最近做项目 需要图像识别和比对 帮帮我</a>
					<div>
						问题描述 最近做项目 需要图像识别和比对 帮帮我 具体是衣服图片和库里的衣服图片进行比对 找出最相似的图片 用户上传的衣服图片 可能是带人头 可能是网上的 背景 各方面 都会不一样					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqlJdb.html" rel="bookmark" class="title">Lucene5学习之Field理解</a>
					<div>
						     Field即Lucene索引文档里的域,一个文档Document可以包含多个Field域,你可以类比数据库表里可以有多个字段来理解,虽然两者不能等同,但有助于你理解每个Field包含3部分信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamw6wb.html" rel="bookmark" class="title">flash builder-关于使用Flash Builder 找不到Flash Player</a>
					<div>
						问题描述 关于使用Flash Builder 找不到Flash Player 我安装的是flashplayer_16_ppapi_debug版本. 在Flash builder中按F11出不来网页,提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKmGDb.html" rel="bookmark" class="title">Windbg抓取程序崩溃的dmp文件的方法</a>
					<div>
						Windbg抓取程序崩溃的dmp文件的方法   一.        简介 windbg是在windows平台下,强大的用户态和内核态调试工具.相比较于Visual Studio,它是一个轻量级的调试工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlJXqp.html" rel="bookmark" class="title">故障诊断软件-怎样往MFC界面上添加波形频谱图？</a>
					<div>
						问题描述 怎样往MFC界面上添加波形频谱图? 因需要做故障诊断软件,其中的界面是显示信号的频谱图,但是在组件界面时,不知道怎样去实现? 解决方案 波形图是读入的数据显示出来的 解决方案二: 采用自定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK7ZLb.html" rel="bookmark" class="title">javascript-让sublime的Javascript提示更加智能</a>
					<div>
						问题描述 让sublime的Javascript提示更加智能 默认情况下,在js文件中,sublime3连document和window这两个单词都不能提示 只有在输入过一次之后,才会有提示 我想要马 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqAkDp.html" rel="bookmark" class="title">mxgraph 线样式 代码-mxgraph看下自定义 线样式代码</a>
					<div>
						问题描述 mxgraph看下自定义 线样式代码 帮我看下代码.如何设置线不重叠 graph.stylesheet.getDefaultEdgeStyle()[mxConstants.STYLE_EDG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eeB1b.html" rel="bookmark" class="title">Automated Builds on Docker Hub</a>
					<div>
						page_title: Automated Builds on Docker Hub page_description: Docker Hub Automated Builds page_keywor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5yvWp.html" rel="bookmark" class="title">链接效果的最大化</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   大家都知道链接很重要的,重要是因为他的作用大,但是如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn3RdM.html" rel="bookmark" class="title">《威胁建模：设计和交付更安全的软件》&mdash;&mdash;第2章威胁建模策略2&period;1　&OpenCurlyDoubleQuote;你的威胁模型是什么样？&rdquo;</a>
					<div>
						第2章威胁建模策略 越早发现问题,越容易解决问题.威胁建模要做的就是发现问题,让你在开发与设计的早期阶段或准备发布操作系统时及时解决问题.威胁建模方法有很多种,有些方法是特定的,就好比模型飞机装备只能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYJW8b.html" rel="bookmark" class="title">如何回到先前的页面的方法多中语言&lbrack;原创&rsqb;&lowbar;ASP基础</a>
					<div>
						asp: 复制代码 代码如下: &lt;a href=&quot;&lt;%=request.serverVariables(&quot;Http_REFERER&quot;)%&gt;&quot;& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
